Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.event
Class ControlEvent

    java.lang.Object
      java.util.EventObject
          org.ascape.model.event.ControlEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ControlEvent

extends java.util.EventObject

Events which control the execution state of a model or collection of scapes.

Since:
  1.0
Version:
  2.9.1
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary
`static int` | `REPORT_LISTENER_UPDATED` A listener of the target has been updated.
`static int` | `REQUEST_CLOSE` The target is requested to open another model.
`static int` | `REQUEST_OPEN` The target is requested to open another model, saving itself first.
`static int` | `REQUEST_OPEN_SAVED` The target is requested to open a saved run, saving itself first.
`static int` | `REQUEST_PAUSE` The target is requested to pause.
`static int` | `REQUEST_QUIT` The target is requested to exit.
`static int` | `REQUEST_RESTART` The target is requested to restart; that is, stop and start from initial state.
`static int` | `REQUEST_RESUME` The target is requested to resume.
`static int` | `REQUEST_SAVE` The target is requested to save itself.
`static int` | `REQUEST_START` The target is requested to start.
`static int` | `REQUEST_STEP` The target is requested to step one iteration.
`static int` | `REQUEST_STOP` The target is requested to stop.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ControlEvent(java.lang.Object source, int id)` Constructs a control event, used to control a scape.

Method Summary
`int` | `getID()` Gets the id decribing the control event.
`java.lang.String` | `paramString()` Returns a paramter string describing this event.
`java.lang.String` | `toString()` Returns a string describing this event.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REPORT_LISTENER_UPDATED

    public static final int REPORT_LISTENER_UPDATED

  A listener of the target has been updated.

  See Also:
    Constant Field Values

### REQUEST_START

    public static final int REQUEST_START

  The target is requested to start.

  See Also:
    Constant Field Values

### REQUEST_STOP

    public static final int REQUEST_STOP

  The target is requested to stop.

  See Also:
    Constant Field Values

### REQUEST_STEP

    public static final int REQUEST_STEP

  The target is requested to step one iteration.

  See Also:
    Constant Field Values

### REQUEST_RESTART

    public static final int REQUEST_RESTART

  The target is requested to restart; that is, stop and start from initial state.

  See Also:
    Constant Field Values

### REQUEST_PAUSE

    public static final int REQUEST_PAUSE

  The target is requested to pause.

  See Also:
    Constant Field Values

### REQUEST_RESUME

    public static final int REQUEST_RESUME

  The target is requested to resume.

  See Also:
    Constant Field Values

### REQUEST_QUIT

    public static final int REQUEST_QUIT

  The target is requested to exit.

  See Also:
    Constant Field Values

### REQUEST_SAVE

    public static final int REQUEST_SAVE

  The target is requested to save itself.

  See Also:
    Constant Field Values

### REQUEST_CLOSE

    public static final int REQUEST_CLOSE

  The target is requested to open another model.

  See Also:
    Constant Field Values

### REQUEST_OPEN

    public static final int REQUEST_OPEN

  The target is requested to open another model, saving itself first.

  See Also:
    Constant Field Values

### REQUEST_OPEN_SAVED

    public static final int REQUEST_OPEN_SAVED

  The target is requested to open a saved run, saving itself first.

  See Also:
    Constant Field Values

Constructor Detail

### ControlEvent

    public ControlEvent(java.lang.Object source,
                        int id)

  Constructs a control event, used to control a scape.

  Parameters:
    `source` - the object firing this alert event.
    `id` - the id

Method Detail

### getID

    public int getID()

  Gets the id decribing the control event.

  Returns:
    the ID

### paramString

    public java.lang.String paramString()

  Returns a paramter string describing this event.

  Returns:
    the string

### toString

    public java.lang.String toString()

  Returns a string describing this event.

  Overrides:
    `toString` in class `java.util.EventObject`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD